Index: db/mob_db2.txt
===================================================================
--- db/mob_db2.txt (revision 1)
+++ db/mob_db2.txt (revision 12)
@@ -32,2 +32,137 @@
 //1843,SIDE_WINDER_,Snake Lord's Minon,Snake Lord's Minon,43,4929,0,1996,993,1,240,320,5,10,38,43,40,15,115,20,10,12,1,2,25,0x3095,200,1576,576,576,0,0,0,0,0,0,0,0,7915,1000,7916,100,7720,30,12715,7,0,0,0,0,0,0,0,0,0,0,0,0
 //1844,G_ISIS_,Snake Lord's Minon,Snake Lord's Minon,47,7003,0,3709,1550,1,423,507,10,35,38,65,43,50,66,15,10,12,2,6,27,0x3195,200,1384,768,336,0,0,0,0,0,0,0,0,7915,1000,7916,100,7720,30,12715,8,0,0,0,0,0,0,0,0,0,0,0,0
+
+// Custom Familiars Adept Class
+3100,FAMILIAR_01,Familiar,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27
+14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3101,FAMILIAR_02,Snake,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,14
+69,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3102,FAMILIAR_03,Deviruchi,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,2
+,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3103,FAMILIAR_04,Scorpion,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27
+14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3104,FAMILIAR_05,Tarou,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,14
+69,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3105,FAMILIAR_06,Quve,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,144
+9,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3106,FAMILIAR_07,Beholder,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27
+14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3107,FAMILIAR_08,Beetle King,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,14469,150,1276,576,3
+4,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3108,FAMILIAR_09,Breeze,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,1
+469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3109,FAMILIAR_10,Pest,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,144
+9,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3110,FAMILIAR_11,Argiope,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,
+4469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3111,FAMILIAR_12,Horong,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,1
+469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3112,FAMILIAR_13,Fire Imp,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,14469,150,1276,576,38
+,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3113,FAMILIAR_14,Plasma Y,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,14469,150,1276,576,384,
+,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3114,FAMILIAR_15,Rideword,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27
+14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3115,FAMILIAR_16,Drainliar,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,2
+,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3116,FAMILIAR_17,Explosion,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,2
+,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3117,FAMILIAR_18,Anacondaq,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,2
+,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3118,FAMILIAR_19,Sidewinder,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,
+7,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3119,FAMILIAR_20,Mini Demon,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,14469,150,1276,576,
+84,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3120,FAMILIAR_21,Diabolic,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27
+14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3121,FAMILIAR_22,Gig,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,1446
+,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3122,FAMILIAR_23,Cramp,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,14
+69,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3123,FAMILIAR_24,Ancient Worm,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,14469,150,1276,576,3
+4,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3124,FAMILIAR_25,Plasma,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,1
+469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3125,FAMILIAR_26,Plasma,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,1
+469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3126,FAMILIAR_27,Plasma,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,1
+469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3127,FAMILIAR_28,Plasma,Familiar,1,10,0,1,1,2,1,1,1,1,1,1,1,1,1,1,10,12,0,6,27,1
+469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+
+
+// IDs 3115 a 3200 livres (75)
+// Necro Summons
+3201,NECRO_SKELETON_01,Skeleton,Skeleton,5,50,0,1,1,2,20,26,1,1,1,15,5,1,15,10,1
+,12,1,1,27,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3202,NECRO_SKELETON_02,Skeleton,Skeleton,8,90,0,1,1,2,40,47,3,3,1,20,8,4,17,12,1
+,12,1,1,27,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3203,NECRO_SKELETON_03,Skeleton,Skeleton,10,150,0,1,1,2,60,68,5,5,1,25,10,7,19,1
+,10,12,1,1,27,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3204,NECRO_SKELETON_04,Skeleton,Skeleton,12,190,0,1,1,2,80,89,7,7,1,30,12,10,22,
+6,10,12,1,1,27,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3205,NECRO_SKELETON_05,Skeleton,Skeleton,15,250,0,1,1,2,100,110,8,8,1,35,15,15,2
+,18,10,12,1,1,27,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,
+,
+3206,NECRO_ARCHER_01,Archer Skeleton,Archer Skeleton,15,300,0,1,1,8,50,61,1,1,1,20,15,1,30,13,10,12,1,1,27,14469,150,1476,57
+,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3207,NECRO_ARCHER_02,Archer Skeleton,Archer Skeleton,18,400,0,1,1,8,70,83,2,2,1,25,18,4,40,16,10,12,1,1,27,14469,150,1476,57
+,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3208,NECRO_ARCHER_03,Archer Skeleton,Archer Skeleton,20,500,0,1,1,8,90,105,3,3,1,35,20,7,50,19,10,12,1,1,27,14469,150,1476,5
+6,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3209,NECRO_ARCHER_04,Archer Skeleton,Archer Skeleton,22,600,0,1,1,8,110,127,4,4,1,40,22,10,60,22,10,12,1,1,27,14469,150,1476
+576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3210,NECRO_ARCHER_05,Archer Skeleton,Archer Skeleton,25,700,0,1,1,8,130,149,5,5,1,45,25,15,70,25,10,12,1,1,27,14469,150,1476
+576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3211,NECRO_ZOMBIE_01,Zombie,Zombie,15,600,0,1,1,2,50,60,3,3,1,1,20,1,20,1,10,12,
+,1,27,14469,250,1376,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3212,NECRO_ZOMBIE_02,Zombie,Zombie,18,800,0,1,1,2,60,70,6,6,1,1,30,1,25,1,10,12,
+,1,27,14469,250,1376,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3213,NECRO_ZOMBIE_03,Zombie,Zombie,20,1000,0,1,1,2,70,80,9,9,1,1,40,1,30,1,10,12
+1,1,27,14469,250,1376,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3214,NECRO_ZOMBIE_04,Zombie,Zombie,22,1200,0,1,1,2,90,100,12,12,1,1,50,1,35,1,10
+12,1,1,27,14469,250,1376,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3215,NECRO_ZOMBIE_05,Zombie,Zombie,25,1400,0,1,1,2,110,130,15,15,1,1,60,1,40,1,1
+,12,1,1,27,14469,250,1376,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3216,NECRO_MUMMY_01,Mummy,Mummy,25,500,0,1,1,2,80,100,2,2,1,30,10,4,20,25,10,12,
+,1,27,14469,100,800,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3217,NECRO_MUMMY_02,Mummy,Mummy,28,650,0,1,1,2,100,120,4,4,1,40,20,8,30,30,10,12
+1,1,27,14469,100,800,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3218,NECRO_MUMMY_03,Mummy,Mummy,30,950,0,1,1,2,120,140,6,8,1,50,30,12,40,35,10,1
+,1,1,27,14469,100,800,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3219,NECRO_MUMMY_04,Mummy,Mummy,32,1100,0,1,1,2,150,170,8,8,1,60,40,16,50,40,10,
+2,1,1,27,14469,100,800,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3220,NECRO_MUMMY_05,Mummy,Mummy,35,1250,0,1,1,2,180,200,10,10,1,70,50,20,60,45,1
+,12,1,1,27,14469,100,800,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3221,NECRO_GHOST_01,Ghost,Ghost,35,700,0,1,1,2,120,150,3,3,1,20,25,10,30,10,10,1
+,1,1,28,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3222,NECRO_GHOST_02,Ghost,Ghost,38,900,0,1,1,2,150,180,6,6,1,30,30,15,40,20,10,1
+,1,1,28,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3223,NECRO_GHOST_03,Ghost,Ghost,40,1100,0,1,1,2,180,210,9,9,1,40,35,20,50,30,10,
+2,1,1,28,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3224,NECRO_GHOST_04,Ghost,Ghost,42,1300,0,1,1,2,220,250,12,12,1,50,40,25,60,40,1
+,12,1,1,28,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3225,NECRO_GHOST_05,Ghost,Ghost,45,1500,0,1,1,2,270,300,15,15,1,60,50,30,70,50,1
+,12,1,1,28,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3226,NECRO_SHADOW_01,Shadow,Shadow,45,1500,0,1,1,2,150,200,4,8,1,35,20,30,45,30,
+0,12,1,1,47,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3227,NECRO_SHADOW_02,Shadow,Shadow,48,1800,0,1,1,2,200,250,8,16,1,50,40,30,60,40
+10,12,1,1,47,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3228,NECRO_SHADOW_03,Shadow,Shadow,50,2100,0,1,1,2,250,300,12,24,1,65,50,40,75,5
+,10,12,1,1,47,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3229,NECRO_SHADOW_04,Shadow,Shadow,52,2400,0,1,1,2,350,400,16,32,1,80,60,50,90,6
+,10,12,1,1,47,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3230,NECRO_SHADOW_05,Shadow,Shadow,55,2800,0,1,1,2,450,500,20,40,1,100,70,60,110
+70,10,12,1,1,47,14469,150,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0
+
+3231,NECRO_WRAITH_01,Wraith,Wraith,55,2000,0,1,1,2,300,400,5,5,1,50,50,20,50,20,
+0,12,2,1,27,14469,300,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3232,NECRO_WRAITH_02,Wraith,Wraith,58,4000,0,1,1,2,400,500,10,10,1,60,60,25,70,3
+,10,12,2,1,27,14469,300,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3233,NECRO_WRAITH_03,Wraith,Wraith,60,6000,0,1,1,2,500,600,15,15,1,70,70,30,90,4
+,10,12,2,1,27,14469,300,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3234,NECRO_WRAITH_04,Wraith,Wraith,62,8000,0,1,1,2,700,800,20,20,1,80,80,35,110,
+0,10,12,2,1,27,14469,300,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+3235,NECRO_WRAITH_05,Wraith,Wraith,65,10000,0,1,1,2,900,1000,25,25,1,90,100,40,1
+0,60,10,12,2,1,27,14469,300,1276,576,384,0,0,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,,0,
+0,