Index: vcproj-9/map-server_sql/Release/BuildLog.htm
===================================================================
--- vcproj-9/map-server_sql/Release/BuildLog.htm (revision 1)
+++ vcproj-9/map-server_sql/Release/BuildLog.htm (revision 13)
@@ -11,128 +11,131 @@
 </pre></table><table width=100% bgcolor=#DFDFE5><tr><td><font face=arial size=+2>
 Command Lines
-</font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Creating temporary file "f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\RSP0000019641184.rsp" with contents
+</font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Creating temporary file "f:\Sourcecode\Black Magic\vcproj-9\map-server_sql\Release\RSP00000D29641524.rsp" with contents
 [
-/O2 /Ob2 /Oi /Ot /Oy /GT /GL /I &quot;..\src\common&quot; /I &quot;..\src\zlib&quot; /I &quot;..\src\mysql&quot; /D &quot;WIN32&quot; /D &quot;_WIN32&quot; /D &quot;__WIN32&quot; /D &quot;NDEBUG&quot; /D &quot;PCRE_SUPPORT&quot; /D &quot;MAPREGSQL&quot; /D &quot;_CRT_SECURE_NO_DEPRECATE&quot; /D &quot;_CRT_NONSTDC_NO_DEPRECATE&quot; /D &quot;FD_SETSIZE=4096&quot; /D &quot;DB_MANUAL_CAST_TO_UNION&quot; /D &quot;_VC80_UPGRADE=0x0710&quot; /D &quot;_MBCS&quot; /GF /FD /EHsc /MT /Fo&quot;map-server_sql\Release\\&quot; /Fd&quot;map-server_sql\Release\vc90.pdb&quot; /W3 /c /Zi /TC /wd4018 /wd4100 /wd4800 &quot;..\src\map\script.c&quot;
+/O2 /Ob2 /Oi /Ot /Oy /GT /GL /I &quot;..\src\common&quot; /I &quot;..\src\zlib&quot; /I &quot;..\src\mysql&quot; /D &quot;WIN32&quot; /D &quot;_WIN32&quot; /D &quot;__WIN32&quot; /D &quot;NDEBUG&quot; /D &quot;PCRE_SUPPORT&quot; /D &quot;MAPREGSQL&quot; /D &quot;_CRT_SECURE_NO_DEPRECATE&quot; /D &quot;_CRT_NONSTDC_NO_DEPRECATE&quot; /D &quot;FD_SETSIZE=4096&quot; /D &quot;DB_MANUAL_CAST_TO_UNION&quot; /D &quot;_VC80_UPGRADE=0x0710&quot; /D &quot;_MBCS&quot; /GF /FD /EHsc /MT /Fo&quot;map-server_sql\Release\\&quot; /Fd&quot;map-server_sql\Release\vc90.pdb&quot; /W3 /c /Zi /TC /wd4018 /wd4100 /wd4800 &quot;..\src\map\status.c&quot;
+
+&quot;..\src\map\skill.c&quot;
+
+&quot;..\src\map\pc.c&quot;
+
+&quot;..\src\map\mob.c&quot;
+
+&quot;..\src\map\battle.c&quot;
 ]
-Creating command line "cl.exe @"f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\RSP0000019641184.rsp" /nologo /errorReport:prompt"
-Creating temporary file "f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\RSP0000029641184.rsp" with contents
-[
-/OUT:&quot;..\map-server_sql.exe&quot; /INCREMENTAL:NO /LIBPATH:&quot;..\lib&quot; /MANIFEST /MANIFESTFILE:&quot;map-server_sql\Release\map-server_sql.exe.intermediate.manifest&quot; /MANIFESTUAC:&quot;level='asInvoker' uiAccess='false'&quot; /NODEFAULTLIB /DEBUG /PDB:&quot;..\map-server_sql.pdb&quot; /SUBSYSTEM:CONSOLE /OPT:REF /OPT:ICF /LTCG /DYNAMICBASE:NO /MACHINE:X86 libcmt.lib oldnames.lib ws2_32.lib libmysql.lib zdll.lib pcre.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib
-
-&quot;.\map-server_sql\Release\core.obj&quot;
-
-&quot;.\map-server_sql\Release\db.obj&quot;
-
-&quot;.\map-server_sql\Release\ers.obj&quot;
-
-&quot;.\map-server_sql\Release\grfio.obj&quot;
-
-&quot;.\map-server_sql\Release\lock.obj&quot;
-
-&quot;.\map-server_sql\Release\malloc.obj&quot;
-
-&quot;.\map-server_sql\Release\mapindex.obj&quot;
-
-&quot;.\map-server_sql\Release\nullpo.obj&quot;
-
-&quot;.\map-server_sql\Release\plugins.obj&quot;
-
-&quot;.\map-server_sql\Release\showmsg.obj&quot;
-
-&quot;.\map-server_sql\Release\socket.obj&quot;
-
-&quot;.\map-server_sql\Release\sql.obj&quot;
-
-&quot;.\map-server_sql\Release\strlib.obj&quot;
-
-&quot;.\map-server_sql\Release\timer.obj&quot;
-
-&quot;.\map-server_sql\Release\utils.obj&quot;
-
-&quot;.\map-server_sql\Release\atcommand.obj&quot;
-
-&quot;.\map-server_sql\Release\battle.obj&quot;
-
-&quot;.\map-server_sql\Release\charcommand.obj&quot;
-
-&quot;.\map-server_sql\Release\chat.obj&quot;
-
-&quot;.\map-server_sql\Release\chrif.obj&quot;
-
-&quot;.\map-server_sql\Release\clif.obj&quot;
-
-&quot;.\map-server_sql\Release\date.obj&quot;
-
-&quot;.\map-server_sql\Release\guild.obj&quot;
-
-&quot;.\map-server_sql\Release\intif.obj&quot;
-
-&quot;.\map-server_sql\Release\irc.obj&quot;
-
-&quot;.\map-server_sql\Release\itemdb.obj&quot;
-
-&quot;.\map-server_sql\Release\log.obj&quot;
-
-&quot;.\map-server_sql\Release\mail.obj&quot;
-
-&quot;.\map-server_sql\Release\map.obj&quot;
-
-&quot;.\map-server_sql\Release\mercenary.obj&quot;
-
-&quot;.\map-server_sql\Release\mob.obj&quot;
-
-&quot;.\map-server_sql\Release\npc.obj&quot;
-
-&quot;.\map-server_sql\Release\npc_chat.obj&quot;
-
-&quot;.\map-server_sql\Release\party.obj&quot;
-
-&quot;.\map-server_sql\Release\path.obj&quot;
-
-&quot;.\map-server_sql\Release\pc.obj&quot;
-
-&quot;.\map-server_sql\Release\pet.obj&quot;
-
-&quot;.\map-server_sql\Release\quest.obj&quot;
-
-&quot;.\map-server_sql\Release\script.obj&quot;
-
-&quot;.\map-server_sql\Release\skill.obj&quot;
-
-&quot;.\map-server_sql\Release\status.obj&quot;
-
-&quot;.\map-server_sql\Release\storage.obj&quot;
-
-&quot;.\map-server_sql\Release\trade.obj&quot;
-
-&quot;.\map-server_sql\Release\unit.obj&quot;
-
-&quot;.\map-server_sql\Release\vending.obj&quot;
-]
-Creating command line "link.exe @"f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\RSP0000029641184.rsp" /NOLOGO /ERRORREPORT:PROMPT"
-Creating temporary file "f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\RSP0000039641184.rsp" with contents
-[
-/outputresource:&quot;..\map-server_sql.exe;#1&quot; /manifest
-
-&quot;.\map-server_sql\Release\map-server_sql.exe.intermediate.manifest&quot;
-]
-Creating command line "mt.exe @"f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\RSP0000039641184.rsp" /nologo"
-Creating temporary file "f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\BAT0000049641184.bat" with contents
-[
-@echo Manifest resource last updated at %TIME% on %DATE% &gt; &quot;.\map-server_sql\Release\mt.dep&quot;
-]
-Creating command line """f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\BAT0000049641184.bat"""
+Creating command line "cl.exe @"f:\Sourcecode\Black Magic\vcproj-9\map-server_sql\Release\RSP00000D29641524.rsp" /nologo /errorReport:prompt"
 </pre></table><table width=100% bgcolor=#DFDFE5><tr><td><font face=arial size=+2>
 Output Window
 </font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Compiling...
-script.c
-Linking...
-Generating code
-Finished generating code
-Embedding manifest...
+status.c
+..\src\map\status.c(1509) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\status.c(1510) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\status.c(1511) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\status.c(1515) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1515) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1516) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1516) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1517) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1517) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1518) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1518) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1519) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1519) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1520) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1520) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1521) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1521) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1522) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1524) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1526) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1527) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1527) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1528) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1528) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1530) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1530) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1531) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1531) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1532) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1532) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1533) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1533) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1537) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1537) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1538) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1538) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1539) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1539) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1540) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1540) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1541) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1541) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1542) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1542) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1543) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1543) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1544) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1544) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1546) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1546) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1548) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1549) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1550) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1552) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1552) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1553) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1553) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1554) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1554) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1555) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1555) : error C2065: 'skill_mastery' : undeclared identifier
+skill.c
+..\src\map\skill.c(3425) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\skill.c(3426) : error C2065: 'rnds' : undeclared identifier
+..\src\map\skill.c(11778) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\skill.c(11779) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\skill.c(11780) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\skill.c(11782) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11782) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11783) : error C2065: 'tbl' : undeclared identifier
+..\src\map\skill.c(11783) : error C2065: 'tbl' : undeclared identifier
+..\src\map\skill.c(11785) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11785) : error C2224: left of '.nameid' must have struct/union type
+..\src\map\skill.c(11786) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11786) : error C2224: left of '.identify' must have struct/union type
+..\src\map\skill.c(11787) : error C2065: 'tbl' : undeclared identifier
+..\src\map\skill.c(11787) : error C2224: left of '.id' must have struct/union type
+..\src\map\skill.c(11789) : error C2065: 'tbl' : undeclared identifier
+..\src\map\skill.c(11789) : warning C4133: 'function' : incompatible types - from 'int *' to 'block_list *'
+..\src\map\skill.c(11790) : error C2065: 'eflag' : undeclared identifier
+..\src\map\skill.c(11790) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11790) : warning C4133: 'function' : incompatible types - from 'int *' to 'item *'
+..\src\map\skill.c(11791) : error C2065: 'eflag' : undeclared identifier
+..\src\map\skill.c(11792) : error C2065: 'eflag' : undeclared identifier
+..\src\map\skill.c(11793) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11793) : warning C4133: 'function' : incompatible types - from 'int *' to 'item *'
+pc.c
+..\src\map\pc.c(3894) : error C2059: syntax error : 'case'
+mob.c
+..\src\map\mob.c(2027) : error C2181: illegal else without matching if
+battle.c
+..\src\map\battle.c(1616) : error C2065: 'MS_BASH' : undeclared identifier
+..\src\map\battle.c(1616) : error C2051: case expression not constant
+..\src\map\battle.c(1619) : error C2065: 'MER_CRASH' : undeclared identifier
+..\src\map\battle.c(1619) : error C2051: case expression not constant
+..\src\map\battle.c(2458) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\battle.c(2459) : error C2065: 'md' : undeclared identifier
+..\src\map\battle.c(2459) : error C2224: left of '.damage' must have struct/union type
+..\src\map\battle.c(2459) : error C2065: 'md' : undeclared identifier
+..\src\map\battle.c(2459) : error C2224: left of '.damage' must have struct/union type
+..\src\map\battle.c(2460) : error C2065: 'md' : undeclared identifier
+..\src\map\battle.c(2460) : error C2224: left of '.damage' must have struct/union type
+..\src\map\battle.c(3839) : warning C4047: 'initializing' : 'int' differs in levels of indirection from 'char [20]'
+..\src\map\battle.c(3839) : error C2078: too many initializers
+..\src\map\battle.c(3840) : error C2059: syntax error : ';'
+..\src\map\battle.c(3845) : fatal error C1903: unable to recover from previous error(s); stopping compilation
 </pre></table><table width=100% bgcolor=#DFDFE5><tr><td><font face=arial size=+2>
 Results
-</font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Build log was saved at "file://f:\Sourcecode\eAthena\Base\vcproj-9\map-server_sql\Release\BuildLog.htm"
-map-server_sql - 0 error(s), 0 warning(s)
+</font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Build log was saved at "file://f:\Sourcecode\Black Magic\vcproj-9\map-server_sql\Release\BuildLog.htm"
+map-server_sql - 98 error(s), 4 warning(s)
 </pre></table><table   width=100% height=20 bgcolor=#CFCFE5><tr><td><font face=arial size=+2>
 </font></table></body></html>