Index: vcproj-9/map-server_sql/Release/BuildLog.htm
===================================================================
--- vcproj-9/map-server_sql/Release/BuildLog.htm (revision 13)
+++ vcproj-9/map-server_sql/Release/BuildLog.htm (revision 16)
@@ -11,7 +11,9 @@
 </pre></table><table width=100% bgcolor=#DFDFE5><tr><td><font face=arial size=+2>
 Command Lines
-</font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Creating temporary file "f:\Sourcecode\Black Magic\vcproj-9\map-server_sql\Release\RSP00000D29641524.rsp" with contents
+</font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Creating temporary file "f:\Sourcecode\Black Magic\vcproj-9\map-server_sql\Release\RSP00000131883092.rsp" with contents
 [
-/O2 /Ob2 /Oi /Ot /Oy /GT /GL /I &quot;..\src\common&quot; /I &quot;..\src\zlib&quot; /I &quot;..\src\mysql&quot; /D &quot;WIN32&quot; /D &quot;_WIN32&quot; /D &quot;__WIN32&quot; /D &quot;NDEBUG&quot; /D &quot;PCRE_SUPPORT&quot; /D &quot;MAPREGSQL&quot; /D &quot;_CRT_SECURE_NO_DEPRECATE&quot; /D &quot;_CRT_NONSTDC_NO_DEPRECATE&quot; /D &quot;FD_SETSIZE=4096&quot; /D &quot;DB_MANUAL_CAST_TO_UNION&quot; /D &quot;_VC80_UPGRADE=0x0710&quot; /D &quot;_MBCS&quot; /GF /FD /EHsc /MT /Fo&quot;map-server_sql\Release\\&quot; /Fd&quot;map-server_sql\Release\vc90.pdb&quot; /W3 /c /Zi /TC /wd4018 /wd4100 /wd4800 &quot;..\src\map\status.c&quot;
+/O2 /Ob2 /Oi /Ot /Oy /GT /GL /I &quot;..\src\common&quot; /I &quot;..\src\zlib&quot; /I &quot;..\src\mysql&quot; /D &quot;WIN32&quot; /D &quot;_WIN32&quot; /D &quot;__WIN32&quot; /D &quot;NDEBUG&quot; /D &quot;PCRE_SUPPORT&quot; /D &quot;MAPREGSQL&quot; /D &quot;_CRT_SECURE_NO_DEPRECATE&quot; /D &quot;_CRT_NONSTDC_NO_DEPRECATE&quot; /D &quot;FD_SETSIZE=4096&quot; /D &quot;DB_MANUAL_CAST_TO_UNION&quot; /D &quot;_VC80_UPGRADE=0x0710&quot; /D &quot;_MBCS&quot; /GF /FD /EHsc /MT /Fo&quot;map-server_sql\Release\\&quot; /Fd&quot;map-server_sql\Release\vc90.pdb&quot; /W3 /c /Zi /TC /wd4018 /wd4100 /wd4800 &quot;..\src\map\unit.c&quot;
+
+&quot;..\src\map\status.c&quot;
 
 &quot;..\src\map\skill.c&quot;
@@ -23,14 +25,22 @@
 &quot;..\src\map\battle.c&quot;
 ]
-Creating command line "cl.exe @"f:\Sourcecode\Black Magic\vcproj-9\map-server_sql\Release\RSP00000D29641524.rsp" /nologo /errorReport:prompt"
+Creating command line "cl.exe @"f:\Sourcecode\Black Magic\vcproj-9\map-server_sql\Release\RSP00000131883092.rsp" /nologo /errorReport:prompt"
 </pre></table><table width=100% bgcolor=#DFDFE5><tr><td><font face=arial size=+2>
 Output Window
 </font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Compiling...
+unit.c
+..\src\map\unit.c(310) : error C2065: 'tbl' : undeclared identifier
+..\src\map\unit.c(310) : warning C4047: 'function' : 'block_list *' differs in levels of indirection from 'int'
+..\src\map\unit.c(310) : warning C4024: 'unit_escape' : different types for formal and actual parameter 2
 status.c
+..\src\map\status.c(1507) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\status.c(1508) : error C2143: syntax error : missing ';' before 'type'
 ..\src\map\status.c(1509) : error C2143: syntax error : missing ';' before 'type'
-..\src\map\status.c(1510) : error C2143: syntax error : missing ';' before 'type'
-..\src\map\status.c(1511) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\status.c(1513) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1513) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1514) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1514) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1515) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1515) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1515) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1516) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1516) : error C2065: 'skill_mastery' : undeclared identifier
@@ -41,25 +51,25 @@
 ..\src\map\status.c(1519) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1519) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1520) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1520) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1521) : error C2065: 'master_lv' : undeclared identifier
-..\src\map\status.c(1521) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1522) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1524) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1525) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1525) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1526) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1526) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1527) : error C2065: 'master_lv' : undeclared identifier
-..\src\map\status.c(1527) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1528) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1528) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1529) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1529) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1530) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1530) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1531) : error C2065: 'master_lv' : undeclared identifier
 ..\src\map\status.c(1531) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1532) : error C2065: 'master_lv' : undeclared identifier
-..\src\map\status.c(1532) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1533) : error C2065: 'master_lv' : undeclared identifier
-..\src\map\status.c(1533) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1535) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1535) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1536) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1536) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1537) : error C2065: 'undead_mastery' : undeclared identifier
-..\src\map\status.c(1537) : error C2065: 'master_lv' : undeclared identifier
+..\src\map\status.c(1537) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1538) : error C2065: 'undead_mastery' : undeclared identifier
 ..\src\map\status.c(1538) : error C2065: 'skill_mastery' : undeclared identifier
@@ -72,46 +82,42 @@
 ..\src\map\status.c(1542) : error C2065: 'undead_mastery' : undeclared identifier
 ..\src\map\status.c(1542) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1543) : error C2065: 'undead_mastery' : undeclared identifier
-..\src\map\status.c(1543) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1544) : error C2065: 'undead_mastery' : undeclared identifier
 ..\src\map\status.c(1544) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1546) : error C2065: 'undead_mastery' : undeclared identifier
-..\src\map\status.c(1546) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1547) : error C2065: 'undead_mastery' : undeclared identifier
 ..\src\map\status.c(1548) : error C2065: 'undead_mastery' : undeclared identifier
-..\src\map\status.c(1549) : error C2065: 'undead_mastery' : undeclared identifier
 ..\src\map\status.c(1550) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1550) : error C2065: 'skill_mastery' : undeclared identifier
+..\src\map\status.c(1551) : error C2065: 'undead_mastery' : undeclared identifier
+..\src\map\status.c(1551) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1552) : error C2065: 'undead_mastery' : undeclared identifier
 ..\src\map\status.c(1552) : error C2065: 'skill_mastery' : undeclared identifier
 ..\src\map\status.c(1553) : error C2065: 'undead_mastery' : undeclared identifier
 ..\src\map\status.c(1553) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1554) : error C2065: 'undead_mastery' : undeclared identifier
-..\src\map\status.c(1554) : error C2065: 'skill_mastery' : undeclared identifier
-..\src\map\status.c(1555) : error C2065: 'undead_mastery' : undeclared identifier
-..\src\map\status.c(1555) : error C2065: 'skill_mastery' : undeclared identifier
 skill.c
 ..\src\map\skill.c(3425) : error C2143: syntax error : missing ';' before 'type'
 ..\src\map\skill.c(3426) : error C2065: 'rnds' : undeclared identifier
-..\src\map\skill.c(11778) : error C2143: syntax error : missing ';' before 'type'
 ..\src\map\skill.c(11779) : error C2143: syntax error : missing ';' before 'type'
 ..\src\map\skill.c(11780) : error C2143: syntax error : missing ';' before 'type'
-..\src\map\skill.c(11782) : error C2065: 'item_tmp' : undeclared identifier
-..\src\map\skill.c(11782) : error C2065: 'item_tmp' : undeclared identifier
-..\src\map\skill.c(11783) : error C2065: 'tbl' : undeclared identifier
-..\src\map\skill.c(11783) : error C2065: 'tbl' : undeclared identifier
-..\src\map\skill.c(11785) : error C2065: 'item_tmp' : undeclared identifier
-..\src\map\skill.c(11785) : error C2224: left of '.nameid' must have struct/union type
+..\src\map\skill.c(11781) : error C2143: syntax error : missing ';' before 'type'
+..\src\map\skill.c(11783) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11783) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11784) : error C2065: 'tbl' : undeclared identifier
+..\src\map\skill.c(11784) : error C2065: 'tbl' : undeclared identifier
 ..\src\map\skill.c(11786) : error C2065: 'item_tmp' : undeclared identifier
-..\src\map\skill.c(11786) : error C2224: left of '.identify' must have struct/union type
-..\src\map\skill.c(11787) : error C2065: 'tbl' : undeclared identifier
-..\src\map\skill.c(11787) : error C2224: left of '.id' must have struct/union type
-..\src\map\skill.c(11789) : error C2065: 'tbl' : undeclared identifier
-..\src\map\skill.c(11789) : warning C4133: 'function' : incompatible types - from 'int *' to 'block_list *'
-..\src\map\skill.c(11790) : error C2065: 'eflag' : undeclared identifier
-..\src\map\skill.c(11790) : error C2065: 'item_tmp' : undeclared identifier
-..\src\map\skill.c(11790) : warning C4133: 'function' : incompatible types - from 'int *' to 'item *'
+..\src\map\skill.c(11786) : error C2224: left of '.nameid' must have struct/union type
+..\src\map\skill.c(11787) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11787) : error C2224: left of '.identify' must have struct/union type
+..\src\map\skill.c(11788) : error C2065: 'tbl' : undeclared identifier
+..\src\map\skill.c(11788) : error C2224: left of '.id' must have struct/union type
+..\src\map\skill.c(11790) : error C2065: 'tbl' : undeclared identifier
+..\src\map\skill.c(11790) : warning C4133: 'function' : incompatible types - from 'int *' to 'block_list *'
 ..\src\map\skill.c(11791) : error C2065: 'eflag' : undeclared identifier
+..\src\map\skill.c(11791) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11791) : warning C4133: 'function' : incompatible types - from 'int *' to 'item *'
 ..\src\map\skill.c(11792) : error C2065: 'eflag' : undeclared identifier
-..\src\map\skill.c(11793) : error C2065: 'item_tmp' : undeclared identifier
-..\src\map\skill.c(11793) : warning C4133: 'function' : incompatible types - from 'int *' to 'item *'
+..\src\map\skill.c(11793) : error C2065: 'eflag' : undeclared identifier
+..\src\map\skill.c(11794) : error C2065: 'item_tmp' : undeclared identifier
+..\src\map\skill.c(11794) : warning C4133: 'function' : incompatible types - from 'int *' to 'item *'
 pc.c
 ..\src\map\pc.c(3894) : error C2059: syntax error : 'case'
@@ -137,5 +143,5 @@
 Results
 </font></table><table width=* cellspacing=0 cellpadding=0><tr><td width=0 bgcolor=#EDEDF5>&nbsp;</td><td width=0 bgcolor=#FFFFFF>&nbsp;</td><td width=*><pre>Build log was saved at "file://f:\Sourcecode\Black Magic\vcproj-9\map-server_sql\Release\BuildLog.htm"
-map-server_sql - 98 error(s), 4 warning(s)
+map-server_sql - 99 error(s), 6 warning(s)
 </pre></table><table   width=100% height=20 bgcolor=#CFCFE5><tr><td><font face=arial size=+2>
 </font></table></body></html>