Index: src/map/pc.c
===================================================================
--- src/map/pc.c (revision 13)
+++ src/map/pc.c (revision 19)
@@ -1,3 +1,3 @@
-// Copyright (c) Athena Dev Teams - Licensed under GNU GPL
+// Copyright (c) Athena Dev Teams - Licensed under GNU GPL =D
 // For more information, see LICENCE in the main folder
 
@@ -133,5 +133,5 @@
 }
 
-void pc_setinvincibletimer(struct map_session_data* sd, int val) 
+void pc_setinvincibletimer(struct map_session_data* sd, int val)
 {
 	nullpo_retv(sd);
@@ -258,5 +258,5 @@
 		case MAPID_TAEKWON: // Taekwon
 			clif_fame_taekwon(sd,count);
-			break;	
+			break;
 	}
 	chrif_updatefamelist(sd);
@@ -267,5 +267,5 @@
 {
 	int i;
-	
+
 	switch(job){
 		case MAPID_BLACKSMITH: // Blacksmith
@@ -330,8 +330,8 @@
 		sd->status.clothes_color=0;
 
-  	//Only copy the Cart/Peco/Falcon options, the rest are handled via 
+  	//Only copy the Cart/Peco/Falcon options, the rest are handled via
 	//status change load/saving. [Skotlex]
 	sd->status.option = sd->sc.option&(OPTION_CART|OPTION_FALCON|OPTION_RIDING);
-		
+
 	if (sd->sc.data[SC_JAILED])
 	{	//When Jailed, do not move last point.
@@ -403,5 +403,5 @@
 	if (!itemdb_isequip2(sd->inventory_data[n]))
 		return 0; //Not equippable by players.
-	
+
 	ep = sd->inventory_data[n]->equip;
 	if(sd->inventory_data[n]->look == W_DAGGER	||
@@ -518,5 +518,5 @@
 	if (itemdb_isspecial(item->card[0]))
 		return 1;
-	
+
 	ARR_FIND( 0, s, i, item->card[i] && (data = itemdb_exists(item->card[i])) != NULL && data->flag.no_equip&flag );
 	return( i < s ) ? 0 : 1;
@@ -535,5 +535,5 @@
 		if( i == EQI_HEAD_MID && sd->equip_index[EQI_HEAD_LOW] == index ) continue;
 		if( i == EQI_HEAD_TOP && (sd->equip_index[EQI_HEAD_MID] == index || sd->equip_index[EQI_HEAD_LOW] == index) ) continue;
-	
+
 		if( !sd->inventory_data[index] ) continue;
 
@@ -568,5 +568,5 @@
 	// Parents need to have their ring equipped
 	if( !pc_isequipped(p1_sd, WEDDING_RING_M) && !pc_isequipped(p1_sd, WEDDING_RING_F) )
-		return false; 
+		return false;
 
 	if( !pc_isequipped(p2_sd, WEDDING_RING_M) && !pc_isequipped(p2_sd, WEDDING_RING_F) )
@@ -603,5 +603,5 @@
 	int job, joblevel;
 	unsigned int jobexp;
-	
+
 	if( !pc_can_Adopt(p1_sd, p2_sd, b_sd) )
 		return false;
@@ -632,5 +632,5 @@
 		pc_skill(p1_sd, WE_CALLBABY, 1, 0);
 		pc_skill(p2_sd, WE_CALLBABY, 1, 0);
-		
+
 		return true;
 	}
@@ -660,5 +660,5 @@
 		return 0;
 	if(map_flag_gvg(sd->bl.m) && ((item->flag.no_equip&2) || !pc_isAllowedCardOn(sd,item->slot,n,2)))
-		return 0; 
+		return 0;
 	if(map[sd->bl.m].flag.restricted)
 	{
@@ -669,5 +669,5 @@
 
 	if (sd->sc.count) {
-			
+
 		if(item->equip & EQP_ARMS && item->type == IT_WEAPON && sd->sc.data[SC_STRIPWEAPON]) // Also works with left-hand weapons [DracoRPG]
 			return 0;
@@ -698,5 +698,5 @@
 	if (!(1<<(sd->class_&MAPID_BASEMASK)&item->class_base[(sd->class_&JOBL_2_1)?1:((sd->class_&JOBL_2_2)?2:0)]))
 		return 0;
-	
+
 	//Not equipable by upper class. [Skotlex]
 	if(!(1<<((sd->class_&JOBL_UPPER)?1:((sd->class_&JOBL_BABY)?2:0))&item->class_upper))
@@ -730,5 +730,5 @@
 		sd->class_ = MAPID_NOVICE;
 	} else
-		sd->class_ = i; 
+		sd->class_ = i;
 	//Initializations to null/0 unneeded since map_session_data was filled with 0 upon allocation.
 	if(!sd->status.hp) pc_setdead(sd);
@@ -739,5 +739,5 @@
 	sd->npc_timer_id = -1;
 	sd->pvp_timer = -1;
-	
+
 	sd->canuseitem_tick = tick;
 	sd->cantalk_tick = tick;
@@ -754,4 +754,10 @@
 	if (battle_config.disp_zeny)
 		sd->state.showzeny = 1;
+<<<<<<< .mine
+	//Vanaheim settings [Brainstorm]
+	if (battle_config.disp_summon_stats) // Battle Flag to Show Summoned Monster Stats [Brain]
+	sd->state.showsummon = 1;
+
+=======
 	//Custom Job (blackmagick)	
 	//Vanaheim settings [Brainstorm]
@@ -759,11 +765,12 @@
 		sd->state.showsummon = 1;
 	
+>>>>>>> .r18
 	if (!(battle_config.display_skill_fail&2))
 		sd->state.showdelay = 1;
-		
+
 	// ACe`FbN
 	pc_setinventorydata(sd);
 	pc_checkitem(sd);
-	
+
 	status_change_init(&sd->bl);
 	if ((battle_config.atc_gmonly == 0 || pc_isGM(sd)) && (pc_isGM(sd) >= get_atcommand_level(atcommand_hide)))
@@ -820,5 +827,5 @@
 				sd->packet_ver, CONVIP(ip));
 	}
-	
+
 	// Send friends list
 	clif_friendslist_send(sd);
@@ -867,5 +874,5 @@
 }
 
-//Attempts to set a mob. 
+//Attempts to set a mob.
 int pc_set_hate_mob(struct map_session_data *sd, int pos, struct block_list *bl)
 {
@@ -899,5 +906,5 @@
 {
 	int i,j;
-	
+
 	sd->change_level = pc_readglobalreg(sd,"jobchange_level");
 	sd->die_counter = pc_readglobalreg(sd,"PC_DIE_COUNTER");
@@ -933,5 +940,5 @@
 			if (i < sd->status.skill[sd->cloneskill_id].lv)
 				sd->status.skill[sd->cloneskill_id].lv = i;
-			sd->status.skill[sd->cloneskill_id].flag = 13;	//cloneskill flag			
+			sd->status.skill[sd->cloneskill_id].flag = 13;	//cloneskill flag
 		}
 	}
@@ -946,5 +953,5 @@
 	if (sd->status.guild_id)
 		guild_member_joined(sd);
-	
+
 	// pet
 	if (sd->status.pet_id > 0)
@@ -1017,11 +1024,11 @@
 	}
 	c = pc_class2idx(c);
-	for(i=0;i<MAX_SKILL;i++){ 
+	for(i=0;i<MAX_SKILL;i++){
 		if (sd->status.skill[i].flag != 13) //Don't touch plagiarized skills
 			sd->status.skill[i].id=0; //First clear skills.
 	}
 
-	for(i=0;i<MAX_SKILL;i++){ 
-		if (sd->status.skill[i].flag && sd->status.skill[i].flag != 13){ //Restore original level of skills after deleting earned skills.	
+	for(i=0;i<MAX_SKILL;i++){
+		if (sd->status.skill[i].flag && sd->status.skill[i].flag != 13){ //Restore original level of skills after deleting earned skills.
 			sd->status.skill[i].lv=(sd->status.skill[i].flag==1)?0:sd->status.skill[i].flag-2;
 			sd->status.skill[i].flag=0;
@@ -1112,5 +1119,5 @@
 				sd->status.skill[id].flag=1; //So it is not saved, and tagged as a "bonus" skill.
 			} else
-				sd->status.skill[id].flag=sd->status.skill[id].lv+2; 
+				sd->status.skill[id].flag=sd->status.skill[id].lv+2;
 			sd->status.skill[id].lv= skill_tree_get_max(id, sd->status.class_);
 		}
@@ -1128,5 +1135,5 @@
 	if(battle_config.skillfree)
 		return; //Function serves no purpose if this is set
-	
+
 	i = pc_calc_skilltree_normalize_job(sd);
 	c = pc_mapid2jobid(i, sd->status.sex);
@@ -1143,5 +1150,5 @@
 			if(sd->status.skill[id].id) //Already learned
 				continue;
-			
+
 			for(j=0;j<5;j++) {
 				if((k=skill_tree[c][i].need[j].id))
@@ -1164,5 +1171,5 @@
 			if (sd->status.job_level < skill_tree[c][i].joblv)
 				continue;
-			
+
 			j = skill_get_inf2(id);
 			if(!sd->status.skill[id].lv && (
@@ -1203,8 +1210,8 @@
 	int skill_point;
 	int c = sd->class_;
-	
+
 	if (!battle_config.skillup_limit)
 		return c;
-	
+
 	skill_point = pc_calc_skillpoint(sd);
 	if(pc_checkskill(sd, NV_BASIC) < 9) //Consider Novice Tree when you don't have NV_BASIC maxed.
@@ -1612,10 +1619,10 @@
 			break;
 		val += (int)status->max_hp;
-		//Negative bonuses will underflow, this will be handled in status_calc_pc through casting 
+		//Negative bonuses will underflow, this will be handled in status_calc_pc through casting
 		//If this is called outside of status_calc_pc, you'd better pray they do not underflow and end with UINT_MAX max_hp.
 		status->max_hp = (unsigned int)val;
 		break;
 	case SP_MAXSP:
-		if(sd->state.lr_flag == 2) 
+		if(sd->state.lr_flag == 2)
 			break;
 		val += (int)status->max_sp;
@@ -2675,8 +2682,8 @@
 	if(idx_card < 0 || idx_card >= MAX_INVENTORY || !sd->inventory_data[idx_card])
 		return 0; //Invalid card index.
-			
+
 	if(idx_equip < 0 || idx_equip >= MAX_INVENTORY || !sd->inventory_data[idx_equip])
 		return 0; //Invalid item index.
-	
+
 	nameid=sd->status.inventory[idx_equip].nameid;
 	cardid=sd->status.inventory[idx_card].nameid;
@@ -2903,5 +2910,5 @@
 	if(amount > MAX_AMOUNT)
 		return 5;
-	
+
 	data = itemdb_search(item_data->nameid);
 	w = data->weight*amount;
@@ -2998,10 +3005,10 @@
 		return 0; //Can't drop items in nodrop mapflag maps.
 	}
-	
+
 	if (!pc_candrop(sd,&sd->status.inventory[n])) {
 		clif_displaymessage (sd->fd, msg_txt(263));
 		return 0;
 	}
-	
+
 	//Logs items, dropped by (P)layers [Lupus]
 	if(log_config.enable_logs&0x8)
@@ -3011,5 +3018,5 @@
 	if (!map_addflooritem(&sd->status.inventory[n], amount, sd->bl.m, sd->bl.x, sd->bl.y, 0, 0, 0, 2))
 		return 0;
-	
+
 	pc_delitem(sd, n, amount, 0);
 	return 1;
@@ -3034,5 +3041,5 @@
 	if (sd->status.party_id)
 		p = party_search(sd->status.party_id);
-	
+
 	if(fitem->first_get_charid > 0 && fitem->first_get_charid != sd->status.char_id)
   	{
@@ -3124,5 +3131,5 @@
 	if ((nameid == 605 || nameid == 606) && pc_issit(sd))
 		return 0;
-	  
+
 	//added item_noequip.txt items check by Maya&[Lupus]
 	if (
@@ -3146,5 +3153,5 @@
 	))
 		return 0;
-	
+
 	//Not usable by upper class. [Skotlex]
 	if(!(
@@ -3330,5 +3337,5 @@
 	if (idx < 0 || idx >= MAX_INVENTORY) //Invalid index check [Skotlex]
 		return 1;
-	
+
 	item_data = &sd->status.inventory[idx];
 
@@ -3370,5 +3377,5 @@
 	if (idx < 0 || idx >= MAX_CART) //Invalid index check [Skotlex]
 		return 1;
-	
+
 	item_data=&sd->status.cart[idx];
 
@@ -3422,5 +3429,5 @@
 	if(md->state.steal_flag == UCHAR_MAX || md->sc.opt1) //already stolen from / status change check
 		return 0;
-	
+
 	sd_status= status_get_status_data(&sd->bl);
 	md_status= status_get_status_data(bl);
@@ -3439,5 +3446,5 @@
 	rate = (sd_status->dex - md_status->dex)/2 + lv*6 + 4;
 	rate += sd->add_steal_rate;
-		
+
 	if( rate < 1 )
 		return 0;
@@ -3465,5 +3472,5 @@
 		return 0;
 	}
-	
+
 	if(battle_config.show_steal_in_same_party)
 		party_foreachsamemap(pc_show_steal,sd,AREA_SIZE,sd,tmp_item.nameid);
@@ -3474,5 +3481,5 @@
 		log_pick_pc(sd, "P", itemid, 1, NULL);
 	}
-		
+
 	//A Rare Steal Global Announce by Lupus
 	if(md->db->dropitem[i].p<=battle_config.rare_drop_announce) {
@@ -3605,5 +3612,5 @@
 		//Tag player for rewarping after map-loading is done. [Skotlex]
 		sd->state.rewarp = 1;
-	
+
 	sd->mapindex =  mapindex;
 	sd->bl.m = m;
@@ -3763,5 +3770,5 @@
 	if(!sd->sc.count)
 		return 0;
-	
+
 	for (i = 0; i < ARRAYLENGTH(scw_list); i++)
 	{	// Skills requiring specific weapon types
@@ -3770,9 +3777,9 @@
 			status_change_end(&sd->bl,scw_list[i],-1);
 	}
-	
+
 	if(sd->sc.data[SC_SPURT] && sd->status.weapon)
 		// Spurt requires bare hands (feet, in fact xD)
 		status_change_end(&sd->bl,SC_SPURT,-1);
-	
+
 	if(sd->status.shield <= 0) { // Skills requiring a shield
 		for (i = 0; i < ARRAYLENGTH(scs_list); i++)
@@ -3862,10 +3869,10 @@
 			class_ |= MAPID_THIEF;
 			break;
-			
+
 		case JOB_STAR_GLADIATOR:
 		case JOB_STAR_GLADIATOR2:
 			class_ |= JOBL_2_1;
 			class_ |= MAPID_TAEKWON;
-			break;	
+			break;
 		case JOB_SOUL_LINKER:
 			class_ |= JOBL_2_2;
@@ -3891,4 +3898,10 @@
 			class_ = MAPID_SUMMER;
 			break;
+<<<<<<< .mine
+			//Possible to be in the wrong spot?
+		case JOB_NECROMANCER: // Necromancer [Brain]
+			class_ |= JOBL_2_1;
+			class_ |= MAPID_ADEPT;
+=======
 			//Custom Jobs (blackmagic)
 			+		case JOB_NECROMANCER: // Necromancer [Brain]
@@ -3900,6 +3913,11 @@
 		case JOB_ADEPT: // Adept [Brain]
 			class_ |= MAPID_ADEPT;
-			break;
-//Custom Job End
+>>>>>>> .r18
+			break;
+		case JOB_WARLOCK: // Warlock [Brain]
+			class_ |= JOBL_2_2;
+		case JOB_ADEPT: // Adept [Brain]
+			class_ |= MAPID_ADEPT;
+			break;
 		default:
 			return -1;
@@ -3925,8 +3943,5 @@
 		case MAPID_XMAS:            return JOB_XMAS;
 		case MAPID_SUMMER:          return JOB_SUMMER;
-		//Custom Jobs (blackmagic)
 		case MAPID_ADEPT:			return JOB_ADEPT; // Adept [Brain]
-		//Custom Job End
-
 	//2_1 classes
 		case MAPID_SUPER_NOVICE:    return JOB_SUPER_NOVICE;
@@ -3938,8 +3953,5 @@
 		case MAPID_ASSASSIN:        return JOB_ASSASSIN;
 		case MAPID_STAR_GLADIATOR:  return JOB_STAR_GLADIATOR;
-		//Custom Jobs (blackmagic)
 		case MAPID_NECROMANCER:		return JOB_NECROMANCER; // Necromancer [Brain]
-		//Custom Job End
-
 	//2_2 classes
 		case MAPID_CRUSADER:        return JOB_CRUSADER;
@@ -3950,8 +3962,5 @@
 		case MAPID_ROGUE:           return JOB_ROGUE;
 		case MAPID_SOUL_LINKER:     return JOB_SOUL_LINKER;
-		//Custom Jobs (blackmagic)
 		case MAPID_WARLOCK:			return JOB_WARLOCK; // Warlock [Brain]
-		//Custom Job End
-
 	//1-1: advanced
 		case MAPID_NOVICE_HIGH:     return JOB_NOVICE_HIGH;
@@ -4018,5 +4027,5 @@
 	case JOB_THIEF:
 		return msg_txt(550 - JOB_NOVICE+class_);
-		
+
 	case JOB_KNIGHT:
 	case JOB_PRIEST:
@@ -4026,8 +4035,8 @@
 	case JOB_ASSASSIN:
 		return msg_txt(557 - JOB_KNIGHT+class_);
-		
+
 	case JOB_KNIGHT2:
 		return msg_txt(557);
-		
+
 	case JOB_CRUSADER:
 	case JOB_MONK:
@@ -4038,8 +4047,8 @@
 	case JOB_DANCER:
 		return msg_txt(563 - JOB_CRUSADER+class_);
-			
+
 	case JOB_CRUSADER2:
 		return msg_txt(563);
-		
+
 	case JOB_WEDDING:
 	case JOB_SUPER_NOVICE:
@@ -4067,8 +4076,8 @@
 	case JOB_ASSASSIN_CROSS:
 		return msg_txt(582 - JOB_LORD_KNIGHT+class_);
-		
+
 	case JOB_LORD_KNIGHT2:
 		return msg_txt(582);
-		
+
 	case JOB_PALADIN:
 	case JOB_CHAMPION:
@@ -4079,5 +4088,5 @@
 	case JOB_GYPSY:
 		return msg_txt(588 - JOB_PALADIN + class_);
-		
+
 	case JOB_PALADIN2:
 		return msg_txt(588);
@@ -4091,5 +4100,5 @@
 	case JOB_BABY_THIEF:
 		return msg_txt(595 - JOB_BABY + class_);
-		
+
 	case JOB_BABY_KNIGHT:
 	case JOB_BABY_PRIEST:
@@ -4099,8 +4108,8 @@
 	case JOB_BABY_ASSASSIN:
 		return msg_txt(602 - JOB_BABY_KNIGHT + class_);
-		
+
 	case JOB_BABY_KNIGHT2:
 		return msg_txt(602);
-		
+
 	case JOB_BABY_CRUSADER:
 	case JOB_BABY_MONK:
@@ -4111,11 +4120,11 @@
 	case JOB_BABY_DANCER:
 		return msg_txt(608 - JOB_BABY_CRUSADER +class_);
-		
+
 	case JOB_BABY_CRUSADER2:
 		return msg_txt(608);
-		
+
 	case JOB_SUPER_BABY:
 		return msg_txt(615);
-		
+
 	case JOB_TAEKWON:
 		return msg_txt(616);
@@ -4125,9 +4134,16 @@
 	case JOB_SOUL_LINKER:
 		return msg_txt(618);
-		
+
 	case JOB_GUNSLINGER:
 		return msg_txt(619);
 	case JOB_NINJA:
 		return msg_txt(620);
+<<<<<<< .mine
+	case JOB_ADEPT: // Adept [Brain]
+		return msg_txt(1000);
+	case JOB_NECROMANCER: // Necromancer [Brain]
+		return msg_txt(1001);
+	case JOB_WARLOCK: // Warlock [Flavio]
+=======
 	//Custom Jobs (blackmagic)
 	case JOB_ADEPT: // Adept [Brain]
@@ -4136,7 +4152,7 @@
 		return msg_txt(1001);
 	case JOB_WARLOCK: // Warlock [Flavio]
+>>>>>>> .r18
 		return msg_txt(1002);
-	//Custom Job End
-	
+
 	default:
 		return msg_txt(650);
@@ -4232,5 +4248,5 @@
 		if (sd->status.status_point > USHRT_MAX - next)
 			sd->status.status_point = USHRT_MAX;
-		else	
+		else
 			sd->status.status_point += next;
 
@@ -4239,5 +4255,5 @@
 	if (battle_config.pet_lv_rate && sd->pd)	//<Skotlex> update pet's level
 		status_calc_pet(sd->pd,0);
-	
+
 	clif_updatestatus(sd,SP_STATUSPOINT);
 	clif_updatestatus(sd,SP_BASELEVEL);
@@ -4309,10 +4325,10 @@
 
 	if (sd->expaddrace[status->race])
-		bonus += sd->expaddrace[status->race];	
+		bonus += sd->expaddrace[status->race];
 	bonus += sd->expaddrace[status->mode&MD_BOSS?RC_BOSS:RC_NONBOSS];
-	
-	if (battle_config.pk_mode && 
+
+	if (battle_config.pk_mode &&
 		(int)(status_get_lv(src) - sd->status.base_level) >= 20)
-		bonus += 15; // pk_mode additional exp if monster >20 levels [Valaris]	
+		bonus += 15; // pk_mode additional exp if monster >20 levels [Valaris]
 
 	if (sd->sc.data[SC_EXPBOOST])
@@ -4321,5 +4337,5 @@
 	if (!bonus)
 	  	return;
-	
+
 	*base_exp += (unsigned int) cap_value((double)*base_exp * bonus/100., 1, UINT_MAX);
 	*job_exp += (unsigned int) cap_value((double)*job_exp * bonus/100., 1, UINT_MAX);
@@ -4350,5 +4366,5 @@
 	nextb = pc_nextbaseexp(sd);
 	nextj = pc_nextjobexp(sd);
-		
+
 	if(sd->state.showexp || battle_config.max_exp_gain_rate){
 		if (nextb > 0)
@@ -4372,5 +4388,5 @@
 		}
 	}
-	
+
 	//Cap exp to the level up requirement of the previous level when you are at max level, otherwise cap at UINT_MAX (this is required for some S. Novice bonuses). [Skotlex]
 	if (base_exp) {
@@ -4538,5 +4554,5 @@
 
 	max = pc_maxparameter(sd);
-	
+
 	switch(type){
 	case SP_STR: sd->status.str = cap_value(sd->status.str + val, 1, max); break;
@@ -4638,5 +4654,5 @@
 	}
 	status_calc_pc(sd,0);
-	//Required because if you could level up all skills previously, 
+	//Required because if you could level up all skills previously,
 	//the update will not be sent as only the lv variable changes.
 	clif_skillinfoblock(sd);
@@ -4735,5 +4751,5 @@
 {
 	nullpo_retr(0, sd);
-	
+
 	if (battle_config.use_statpoint_table)
 	{	// New statpoint table used here - Dexity
@@ -4748,5 +4764,5 @@
 		if (sd->class_&JOBL_UPPER)
 			stat+=52;	// extra 52+48=100 stat points
-		
+
 		if (stat > USHRT_MAX)
 			sd->status.status_point = USHRT_MAX;
@@ -4788,5 +4804,5 @@
 	clif_updatestatus(sd,SP_UDEX);
 	clif_updatestatus(sd,SP_ULUK);	// End Addition
-	
+
 	clif_updatestatus(sd,SP_STATUSPOINT);
 	status_calc_pc(sd,0);
@@ -4823,5 +4839,5 @@
 			merc_hom_vaporize(sd, 0);
 	}
-	
+
 	for (i = 1; i < MAX_SKILL; i++) {
 		lv= sd->status.skill[i].lv;
@@ -4852,5 +4868,5 @@
 		}
 	}
-	
+
 	if (flag&2 || !skill_point) return skill_point;
 
@@ -4958,5 +4974,5 @@
 	if(!src || src == &sd->bl)
 		return;
-	
+
 	if(sd->status.pet_id > 0 && sd->pd && battle_config.pet_damage_support)
 		pet_target_check(sd,src,1);
@@ -4970,5 +4986,5 @@
 	int i=0,j=0,k=0;
 	unsigned int tick = gettick();
-		
+
 	if(sd->vender_id)
 		vending_closevending(sd);
@@ -5065,5 +5081,5 @@
 			// karma going down = more 'good' / more honourable.
 			// The Karma System way...
-		
+
 			if (sd->status.karma > ssd->status.karma) {	// If player killed was more evil
 				sd->status.karma--;
@@ -5072,12 +5088,12 @@
 			else if (sd->status.karma < ssd->status.karma)	// If player killed was more good
 				ssd->status.karma++;
-	
+
 
 			// or the PK System way...
-	
+
 			if (sd->status.karma > 0)	// player killed is dishonourable?
 				ssd->status.karma--; // honour points earned
 			sd->status.karma++;	// honour points lost
-		
+
 			// To-do: Receive exp on certain occasions
 #endif
@@ -5326,5 +5342,5 @@
 				stat += (sd->status.base_level + i + 14) / 5 ;
 			if (sd->status.status_point > USHRT_MAX - stat)
-				
+
 				sd->status.status_point = USHRT_MAX;
 			else
@@ -5528,5 +5544,5 @@
 			status_percent_damage(NULL, &sd->bl, hp, 0, hp==-100);
 	}
-	
+
 	if(sp) {
 		if(sp > 0)
@@ -5560,5 +5576,5 @@
 	switch (upper) {
 		case 1:
-			b_class|= JOBL_UPPER; 
+			b_class|= JOBL_UPPER;
 			break;
 		case 2:
@@ -5567,9 +5583,9 @@
 	}
 	//This will automatically adjust bard/dancer classes to the correct gender
-	//That is, if you try to jobchange into dancer, it will turn you to bard.	
+	//That is, if you try to jobchange into dancer, it will turn you to bard.
 	job = pc_mapid2jobid(b_class, sd->status.sex);
 	if (job == -1)
 		return 1;
-	
+
 	if ((unsigned short)b_class == sd->class_)
 		return 1; //Nothing to change.
@@ -5599,5 +5615,5 @@
 		}
 	}
-	
+
 	sd->status.class_ = job;
 	fame_flag = pc_famerank(sd->status.char_id,sd->class_&MAPID_UPPERMASK);
@@ -5615,5 +5631,5 @@
 	}
 
-	//Change look, if disguised, you need to undisguise 
+	//Change look, if disguised, you need to undisguise
 	//to correctly calculate new job sprite without
 	if (sd->disguise)
@@ -5643,5 +5659,5 @@
 	if(merc_is_hom_active(sd->hd) && !pc_checkskill(sd, AM_CALLHOMUN))
 		merc_hom_vaporize(sd, 0);
-	
+
 	if(sd->status.manner < 0)
 		clif_changestatus(&sd->bl,SP_MANNER,sd->status.manner);
@@ -5802,5 +5818,5 @@
 	else if (!(type&OPTION_FLYING) && p_type&OPTION_FLYING)
 		new_look = -1;
-	
+
 	if (type&OPTION_WEDDING && !(p_type&OPTION_WEDDING))
 		new_look = JOB_WEDDING;
@@ -6036,5 +6052,5 @@
 	struct global_reg *sd_reg;
 	int i,max;
-	
+
 	nullpo_retr(0, sd);
 	switch (type) {
@@ -6113,5 +6129,5 @@
 		return 1;
 	}
-	
+
 	// delete reg
 	if (val == 0) {
@@ -6185,5 +6201,5 @@
 		return 0;
 	}
-	
+
 	// delete reg
 	if (!val || strcmp(val,"")==0)
@@ -6379,5 +6395,5 @@
 	if(pos == EQP_ACC) { //Accesories should only go in one of the two,
 		pos = req_pos&EQP_ACC;
-		if (pos == EQP_ACC) //User specified both slots.. 
+		if (pos == EQP_ACC) //User specified both slots..
 			pos = sd->equip_index[EQI_ACC_R] >= 0 ? EQP_ACC_L : EQP_ACC_R;
 	}
@@ -6564,5 +6580,5 @@
 	clif_unequipitemack(sd,n,sd->status.inventory[n].equip,1);
 
-	if((sd->status.inventory[n].equip & EQP_ARMS) && 
+	if((sd->status.inventory[n].equip & EQP_ARMS) &&
 		sd->weapontype1 == 0 && sd->weapontype2 == 0 && (!sd->sc.data[SC_SEVENWIND] || sd->sc.data[SC_ASPERSIO])) //Check for seven wind (but not level seven!)
 		skill_enchant_elemental_end(&sd->bl,-1);
@@ -6620,5 +6636,5 @@
 	if (sd->vender_id) //Avoid reorganizing items when we are vending, as that leads to exploits (pointed out by End of Exam)
 		return 0;
-	
+
 	// ió«lß
 	for(i=j=0;i<MAX_INVENTORY;i++){
@@ -6865,5 +6881,5 @@
 			hp = sd->battle_status.hp-1; //Script drains cannot kill you.
 	}
-	
+
 	if (sd->sp_loss.value) {
 		sd->sp_loss.tick += diff_tick;
@@ -6894,5 +6910,5 @@
 		}
 	}
-	
+
 	if (sd->sp_regen.value) {
 		sd->sp_regen.tick += diff_tick;
@@ -7000,8 +7016,8 @@
 	if (data == 0 && battle_config.day_duration <= 0)	// if we want a day
 		return 0;
-	
+
 	if (!night_flag)
 		return 0; //Already day.
-	
+
 	night_flag = 0; // 0=day, 1=night [Yor]
 	map_foreachpc(pc_daynight_timer_sub);
@@ -7021,5 +7037,5 @@
 	if (data == 0 && battle_config.night_duration <= 0)	// if we want a night
 		return 0;
-	
+
 	if (night_flag)
 		return 0; //Already nigth.
@@ -7050,9 +7066,9 @@
 	time_t timer;
 	struct tm *t;
-	
+
 	time(&timer);
 	t = localtime(&timer);
-	
-	pc_setglobalreg(sd, "PC_LAST_DUEL_TIME", t->tm_mday*24*60 + t->tm_hour*60 + t->tm_min);	
+
+	pc_setglobalreg(sd, "PC_LAST_DUEL_TIME", t->tm_mday*24*60 + t->tm_hour*60 + t->tm_min);
 	return;
 }
@@ -7063,10 +7079,10 @@
 	time_t timer;
 	struct tm *t;
-	
+
 	time(&timer);
     t = localtime(&timer);
-	
+
 	diff = t->tm_mday*24*60 + t->tm_hour*60 + t->tm_min - pc_readglobalreg(sd, "PC_LAST_DUEL_TIME");
-	
+
 	return !(diff >= 0 && diff < battle_config.duel_time_interval);
 }
@@ -7078,5 +7094,5 @@
 
 	if (sd->duel_group != ssd->duel_group) return 0;
-	
+
 	sprintf(output, "      %d. %s", ++(*p), sd->status.name);
 	clif_disp_onlyself(ssd, output, strlen(output));
@@ -7110,8 +7126,8 @@
 	int i=1;
 	char output[256];
-	
+
 	while(duel_list[i].members_count > 0 && i < MAX_DUEL) i++;
 	if(i == MAX_DUEL) return 0;
-	
+
 	duel_count++;
 	sd->duel_group = i;
@@ -7119,8 +7135,8 @@
 	duel_list[i].invites_count = 0;
 	duel_list[i].max_players_limit = maxpl;
-	
+
 	strcpy(output, msg_txt(372)); // " -- Duel has been created (@invite/@leave) --"
 	clif_disp_onlyself(sd, output, strlen(output));
-	
+
 	clif_set0199(sd, 1);
 	//clif_misceffect2(&sd->bl, 159);
@@ -7138,5 +7154,5 @@
 	target_sd->duel_invite = did;
 	duel_list[did].invites_count++;
-	
+
 	// "Blue -- Player %s invites you to PVP duel (@accept/@reject) --"
 	sprintf(output, msg_txt(374), sd->status.name);
@@ -7156,16 +7172,16 @@
 {
 	char output[256];
-	
+
 	// " <- Player %s has left duel --"
 	sprintf(output, msg_txt(375), sd->status.name);
 	clif_disp_message(&sd->bl, output, strlen(output), DUEL_WOS);
-	
+
 	duel_list[did].members_count--;
-	
+
 	if(duel_list[did].members_count == 0) {
-		map_foreachpc(duel_leave_sub, did); 
+		map_foreachpc(duel_leave_sub, did);
 		duel_count--;
 	}
-	
+
 	sd->duel_group = 0;
 	duel_savetime(sd);
@@ -7177,10 +7193,10 @@
 {
 	char output[256];
-	
+
 	duel_list[did].members_count++;
 	sd->duel_group = sd->duel_invite;
 	duel_list[did].invites_count--;
 	sd->duel_invite = 0;
-	
+
 	// " -> Player %s has accepted duel --"
 	sprintf(output, msg_txt(376), sd->status.name);
@@ -7195,9 +7211,9 @@
 {
 	char output[256];
-	
+
 	// " -- Player %s has rejected duel --"
 	sprintf(output, msg_txt(377), sd->status.name);
 	clif_disp_message(&sd->bl, output, strlen(output), DUEL_WOS);
-	
+
 	duel_list[did].invites_count--;
 	sd->duel_invite = 0;
@@ -7297,5 +7313,5 @@
 		if (pc_split_str(line,split,4) < 4)
 			continue;
-		
+
 		job_count = pc_split_atoi(split[1],jobs,':',CLASS_COUNT);
 		if (job_count < 1)
@@ -7316,5 +7332,5 @@
 			maxlv = MAX_LEVEL;
 		}
-		
+
 		job = jobs[0] = pc_class2idx(job_id);
 		//We send one less and then one more because the last entry in the exp array should hold 0.
@@ -7477,5 +7493,5 @@
 			if (i > MAX_LEVEL)
 				break;
-			statp[i]=j;			
+			statp[i]=j;
 			i++;
 		}
@@ -7486,5 +7502,5 @@
 	for (; i <= MAX_LEVEL; i++) {
 		j += (i+15)/5;
-		statp[i] = j;		
+		statp[i] = j;
 	}
 
@@ -7518,5 +7534,5 @@
 	else
 		ShowWarning("In function pc_read_motd() -> File '"CL_WHITE"%s"CL_RESET"' not found.\n", motd_txt);
-	
+
 	return 0;
 }